UiPath Documentation
test-cloud
latest
false
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

Test Cloud API ガイド

ディレクトリ エンティティを解決する

単一のディレクトリ エンティティを、組織 ID に基づいて一意の識別子と種類で解決します。

API エンドポイント

POST {accessURL}/{organizationName}/identity_/api/Directory/Resolve/{partitionGlobalId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud (公共部門向け)https://govcloud.uipath.us/
Test Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • Pm。ディレクトリ

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)文字列 (GUID)組織内のエンティティを解決する組織の ID です。

要求本文

要求本文は、解決するエンティティを指定します。

{
    "entityId": "string",
    "entityType": "User"
}
{
    "entityId": "string",
    "entityType": "User"
}
プロパティデータ型説明
entityId (必須)文字列ディレクトリ エンティティの一意の識別子です。
entityType (必須)文字列ディレクトリ エンティティの種類です。有効な値: UserGroupApplicationです。

応答

200 OK

完全なディレクトリ エンティティを返します。応答の形状は、エンティティの種類によって異なります。

ユーザーの回答です。
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
グループの応答
{
    "objectType": "DirectoryGroup",
    "source": "aad",
    "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "name": "Engineering Team",
    "email": null,
    "displayName": "Engineering Team",
    "externalId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
{
    "objectType": "DirectoryGroup",
    "source": "aad",
    "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "name": "Engineering Team",
    "email": null,
    "displayName": "Engineering Team",
    "externalId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
アプリケーションの応答
{
    "objectType": "DirectoryApplication",
    "source": "aad",
    "identifier": "aad|c3d4e5f6-a7b8-9012-cdef-123456789012",
    "name": "My Application",
    "email": null,
    "displayName": "My Application",
    "applicationId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
{
    "objectType": "DirectoryApplication",
    "source": "aad",
    "identifier": "aad|c3d4e5f6-a7b8-9012-cdef-123456789012",
    "name": "My Application",
    "email": null,
    "displayName": "My Application",
    "applicationId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}

404 見つかりません

エンティティまたはパーティションが見つからない場合に返されます。

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Resolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityId": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Resolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityId": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "entityType": "User"
}'

呼び出しが成功した場合、応答本文は次のようになります。

{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得